Package twisted :: Package runner :: Module inetd :: Class InetdFactory

[show private | hide private]
[frames | no frames]

## Class InetdFactory

      Factory --+
                |
    ServerFactory --+
                    |
                   InetdFactory

Method Summary
| `__init__(self, service)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `Factory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`class` | `InetdProtocol`

Class Variable Details

### InetdProtocol

`InetdProtocol` = `twisted.runner.inetd.InetdProtocol`

Generated by Epydoc 1.1 on Sat Feb 15 21:19:17 2003 | http://epydoc.sf.net